Investor by Social
GET/investors/by-social1 credit

Investor by Social

Resolve an investor by a LinkedIn or X/Twitter URL or handle. 1 credit.

GEThttps://www.startuphub.ai/api/v1/investors/by-social

Request

curl "https://www.startuphub.ai/api/v1/investors/by-social?twitter=a16z" \
  -H "Authorization: Bearer sk_live_..."

Parameters

linkedinstringoptional

LinkedIn URL or handle. Pass any one social param.

twitterstringoptional

X/Twitter URL or handle (also accepts x.com).

Response

json
{ "data": { "id": "uuid", "name": "Andreessen Horowitz", "slug": "andreessen-horowitz", "twitter_url": "https://x.com/a16z", "startuphub_url": "https://www.startuphub.ai/investors/andreessen-horowitz" } }

Errors

400Pass a linkedin or twitter parameter
401Invalid or missing API key
404No investor matched